# Nendo sf segmenter plugin

This repository contains the code for the SF (Structural Feature) segmenter plugin used by [Nendo](https://github.com/okio-ai/nendo).

## Installation

1. [Install Nendo](https://github.com/okio-ai/nendo#installation).
2. `pip install nendo-sf-segmenter`

## How to use

Unless blacklisted, the `nendo_sf_segmenter` plugin in loaded automatically upon nendo initialization. Then you can call `Nendo().sf_segment(track)` on any object of class `NendoTrack`.

```
from nendo import Nendo

n = Nendo()

# load track
track = n.load_track_from_file(
    path='/path/to/track.mp3'
)

# segment track
n.sf_segment(track)

# show track metadata - includes results of sf_segmenter
print(track)
```
