"""A nendo plugin for music segmentation/labeling."""
from importlib import metadata
from nendo import NendoTrack, NendoPlugin
from sf_segmenter.segmenter import Segmenter

version = metadata.metadata(__package__ or __name__)['Version']

class NendoSFSegmenter(NendoPlugin):

    type: str = "analyzer"
    
    def sf_segment(target: NendoTrack) -> NendoTrack:
        """Run the SF segmenter with the given track."""
        print(f"running sf_segmenter version: {version}")
        segmenter = Segmenter()
        boundaries, labs = segmenter.proc_audio(target.src)
        target.meta['sf_segmenter_boundaries'] = boundaries
        target.meta['sf_segmenter_labs'] = labs
        target.meta['sf_segmenter_plugin_version'] = version
        return target
    
    def __call__(self, target: NendoTrack) -> NendoTrack:
        return self.sf_segment(target=target)
